org.apache.lucene.queries.function.valuesource

## Class SortedSetFieldSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.FieldCacheSource
    - - org.apache.lucene.queries.function.valuesource.SortedSetFieldSource

-     public class SortedSetFieldSource
      extends FieldCacheSource

  Retrieves `FunctionValues` instances for multi-valued string based fields.

  A SortedSetDocValues contains multiple values for a field, so this technique "selects" a value as the representative value for the document.

  See Also:
    `SortedSetSelector`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SortedSetSelector.Type` | `selector`

    - ### Fields inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

      `field`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortedSetFieldSource(String field)`
    `SortedSetFieldSource(String field, SortedSetSelector.Type selector)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `description()` description of field, used in explain()
    `boolean` | `equals(Object obj)`
    `SortField` | `getSortField(boolean reverse)` EXPERIMENTAL: This method is subject to change.
    `FunctionValues` | `getValues(Map context, LeafReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight().
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

      `getField`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `asDoubleValuesSource, asLongValuesSource, createWeight, fromDoubleValuesSource, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### selector

          protected final SortedSetSelector.Type selector

  - ### Constructor Detail

    - #### SortedSetFieldSource

          public SortedSetFieldSource(String field)

    - #### SortedSetFieldSource

          public SortedSetFieldSource(String field,
                                      SortedSetSelector.Type selector)

  - ### Method Detail

    - #### getSortField

          public SortField getSortField(boolean reverse)

      Description copied from class: `ValueSource`
      EXPERIMENTAL: This method is subject to change.

      Get the SortField for this ValueSource. Uses the `ValueSource.getValues(java.util.Map, org.apache.lucene.index.LeafReaderContext)` to populate the SortField.

      Overrides:
        `getSortField` in class `ValueSource`
      Parameters:
        `reverse` - true if this is a reverse sort.
      Returns:
        The `SortField` for the ValueSource

    - #### getValues

          public FunctionValues getValues(Map context,
                                          LeafReaderContext readerContext)
                                   throws IOException

      Description copied from class: `ValueSource`
      Gets the values for this reader and the context that was previously passed to createWeight(). The values must be consumed in a forward docID manner, and you must call this method again to iterate through the values again.
      Specified by:
        `getValues` in class `ValueSource`
      Throws:
        `IOException`

    - #### description

          public String description()

      Description copied from class: `ValueSource`
      description of field, used in explain()
      Overrides:
        `description` in class `FieldCacheSource`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `FieldCacheSource`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `FieldCacheSource`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.